### Method

# GtkSource Buffer get_highlight_syntax

#### Declaration [src]

    gboolean
    gtk_source_buffer_get_highlight_syntax (
      GtkSourceBuffer* buffer
    )

#### Description [src]

Determines whether syntax highlighting is activated in the source buffer.

Gets property | `GtkSource.Buffer:highlight-syntax`

#### Return value

Type: `gboolean`

`TRUE` if syntax highlighting is enabled, `FALSE` otherwise.